Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.ast
Class GeneratedTags

    java.lang.Object
      javafe.ast.GeneratedTags
          javafe.ast.OperatorTags
              javafe.ast.TagConstants
                  javafe.parser.TagConstants
                      javafe.tc.TagConstants
                          escjava.ast.GeneratedTags

Direct Known Subclasses:
  TagConstants

public class GeneratedTags
extends TagConstants

Field Summary
`static int` | `ARRAYRANGEREFEXPR`
`static int` | `CALL`
`static int` | `CONDITION`
`static int` | `DEFPRED`
`static int` | `DEFPREDAPPLEXPR`
`static int` | `DEFPREDLETEXPR`
`static int` | `DYNINSTCMD`
`static int` | `EVERYTHINGEXPR`
`static int` | `GETSCMD`
`static int` | `GHOSTDECLPRAGMA`
`static int` | `GUARDEXPR`
`static int` | `IDENTIFIERMODIFIERPRAGMA`
`static int` | `IMPORTPRAGMA`
`static int` | `LABELEXPR`
`static int` | `LAST_TAG`
`static int` | `LOCKSETEXPR`
`static int` | `LOOPCMD`
`static int` | `MODELCONSTRUCTORDECLPRAGMA`
`static int` | `MODELDECLPRAGMA`
`static int` | `MODELMETHODDECLPRAGMA`
`static int` | `MODELTYPEPRAGMA`
`static int` | `MODIFIESGROUPPRAGMA`
`static int` | `NOTHINGEXPR`
`static int` | `NOTMODIFIEDEXPR`
`static int` | `NOTSPECIFIEDEXPR`
`static int` | `NOWARNPRAGMA`
`static int` | `REACHMODIFIERPRAGMA`
`static int` | `REFINEPRAGMA`
`static int` | `RESEXPR`
`static int` | `RESTOREFROMCMD`
`static int` | `SEQCMD`
`static int` | `SETCOMPEXPR`
`static int` | `SETSTMTPRAGMA`
`static int` | `SKOLEMCONSTANTPRAGMA`
`static int` | `SPEC`
`static int` | `STILLDEFERREDDECLPRAGMA`
`static int` | `SUBGETSCMD`
`static int` | `SUBSTEXPR`
`static int` | `SUBSUBGETSCMD`
`static int` | `TYPEEXPR`
`static int` | `VARINCMD`
`static int` | `WILDREFEXPR`

Fields inherited from class javafe.tc.TagConstants
`TYPESIG`

Fields inherited from class javafe.parser.TagConstants
`ABSTRACT, ASSERT, BOOLEAN, BREAK, BYTE, C_COMMENT, CASE, CATCH, CHAR, CLASS, COLON, COMMA, CONST, CONTINUE, DEFAULT, DO, DOUBLE, ELSE, EOF, EOL_COMMENT, EXTENDS, FALSE, FIELD, FINAL, FINALLY, FIRST_KEYWORD, FLOAT, FOR, GOTO, IF, IMPLEMENTS, IMPORT, INSTANCEOF, INT, INTERFACE, LAST_KEYWORD, LBRACE, LEXICALPRAGMA, LONG, LPAREN, LSQBRACKET, MAX_INT_PLUS_ONE, MAX_LONG_PLUS_ONE, MODIFIERPRAGMA, NATIVE, NEW, NULL, PACKAGE, POSTMODIFIERPRAGMA, PRIVATE, PROTECTED, PUBLIC, QUESTIONMARK, RBRACE, RETURN, RPAREN, RSQBRACKET, SEMICOLON, SHORT, STATIC, STMTPRAGMA, STRICT, SUPER, SWITCH, SYNCHRONIZED, THIS, THROW, THROWS, TRANSIENT, TRUE, TRY, TYPEDECLELEMPRAGMA, TYPEMODIFIERPRAGMA, UNKNOWN_KEYWORD, VOID, VOLATILE, WHILE`

Fields inherited from class javafe.ast.TagConstants
`BOOLEANLIT, BOOLEANTYPE, BYTELIT, BYTETYPE, CHARLIT, CHARTYPE, DOUBLELIT, DOUBLETYPE, ERRORTYPE, FLOATLIT, FLOATTYPE, IDENT, INTLIT, INTTYPE, LONGLIT, LONGTYPE, NULLLIT, NULLTYPE, SHORTLIT, SHORTTYPE, STRINGLIT, VOIDTYPE`

Fields inherited from class javafe.ast.OperatorTags
`ADD, AND, ASGADD, ASGBITAND, ASGBITOR, ASGBITXOR, ASGDIV, ASGLSHIFT, ASGMUL, ASGREM, ASGRSHIFT, ASGSUB, ASGURSHIFT, ASSIGN, BITAND, BITNOT, BITOR, BITXOR, DEC, DIV, EQ, FIRST_TAG, GE, GT, INC, LE, LSHIFT, LT, MOD, NE, NOT, OR, POSTFIXDEC, POSTFIXINC, RSHIFT, STAR, SUB, UNARYADD, UNARYSUB, URSHIFT`

Fields inherited from class javafe.ast.GeneratedTags
`AMBIGUOUSMETHODINVOCATION, AMBIGUOUSVARIABLEACCESS, ARRAYINIT, ARRAYREFEXPR, ARRAYTYPE, ASSERTSTMT, BLOCKSTMT, BREAKSTMT, CASTEXPR, CATCHCLAUSE, CLASSDECL, CLASSDECLSTMT, CLASSLITERAL, COMPILATIONUNIT, COMPOUNDNAME, CONDEXPR, CONSTRUCTORDECL, CONSTRUCTORINVOCATION, CONTINUESTMT, DOSTMT, EVALSTMT, EXPROBJECTDESIGNATOR, FIELDACCESS, FIELDDECL, FORMALPARADECL, FORSTMT, IFSTMT, INITBLOCK, INSTANCEOFEXPR, INTERFACEDECL, LABELSTMT, LOCALVARDECL, METHODDECL, METHODINVOCATION, NEWARRAYEXPR, NEWINSTANCEEXPR, ONDEMANDIMPORTDECL, PARENEXPR, RETURNSTMT, SIMPLENAME, SINGLETYPEIMPORTDECL, SKIPSTMT, SUPEROBJECTDESIGNATOR, SWITCHLABEL, SWITCHSTMT, SYNCHRONIZESTMT, THISEXPR, THROWSTMT, TRYCATCHSTMT, TRYFINALLYSTMT, TYPENAME, TYPEOBJECTDESIGNATOR, VARDECLSTMT, VARIABLEACCESS, WHILESTMT`

Constructor Summary
`GeneratedTags()`

Method Summary
`static java.lang.String` | `toString(int tag)`

Methods inherited from class javafe.parser.TagConstants
`zzzz`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUBSTEXPR

    public static final int SUBSTEXPR

See Also:
  Constant Field Values

### TYPEEXPR

    public static final int TYPEEXPR

See Also:
  Constant Field Values

### LABELEXPR

    public static final int LABELEXPR

See Also:
  Constant Field Values

### WILDREFEXPR

    public static final int WILDREFEXPR

See Also:
  Constant Field Values

### GUARDEXPR

    public static final int GUARDEXPR

See Also:
  Constant Field Values

### RESEXPR

    public static final int RESEXPR

See Also:
  Constant Field Values

### SETCOMPEXPR

    public static final int SETCOMPEXPR

See Also:
  Constant Field Values

### LOCKSETEXPR

    public static final int LOCKSETEXPR

See Also:
  Constant Field Values

### EVERYTHINGEXPR

    public static final int EVERYTHINGEXPR

See Also:
  Constant Field Values

### NOTHINGEXPR

    public static final int NOTHINGEXPR

See Also:
  Constant Field Values

### NOTSPECIFIEDEXPR

    public static final int NOTSPECIFIEDEXPR

See Also:
  Constant Field Values

### NOTMODIFIEDEXPR

    public static final int NOTMODIFIEDEXPR

See Also:
  Constant Field Values

### ARRAYRANGEREFEXPR

    public static final int ARRAYRANGEREFEXPR

See Also:
  Constant Field Values

### DEFPREDLETEXPR

    public static final int DEFPREDLETEXPR

See Also:
  Constant Field Values

### DEFPREDAPPLEXPR

    public static final int DEFPREDAPPLEXPR

See Also:
  Constant Field Values

### GETSCMD

    public static final int GETSCMD

See Also:
  Constant Field Values

### SUBGETSCMD

    public static final int SUBGETSCMD

See Also:
  Constant Field Values

### SUBSUBGETSCMD

    public static final int SUBSUBGETSCMD

See Also:
  Constant Field Values

### RESTOREFROMCMD

    public static final int RESTOREFROMCMD

See Also:
  Constant Field Values

### VARINCMD

    public static final int VARINCMD

See Also:
  Constant Field Values

### DYNINSTCMD

    public static final int DYNINSTCMD

See Also:
  Constant Field Values

### SEQCMD

    public static final int SEQCMD

See Also:
  Constant Field Values

### LOOPCMD

    public static final int LOOPCMD

See Also:
  Constant Field Values

### CALL

    public static final int CALL

See Also:
  Constant Field Values

### MODELDECLPRAGMA

    public static final int MODELDECLPRAGMA

See Also:
  Constant Field Values

### MODELCONSTRUCTORDECLPRAGMA

    public static final int MODELCONSTRUCTORDECLPRAGMA

See Also:
  Constant Field Values

### MODELTYPEPRAGMA

    public static final int MODELTYPEPRAGMA

See Also:
  Constant Field Values

### MODELMETHODDECLPRAGMA

    public static final int MODELMETHODDECLPRAGMA

See Also:
  Constant Field Values

### GHOSTDECLPRAGMA

    public static final int GHOSTDECLPRAGMA

See Also:
  Constant Field Values

### STILLDEFERREDDECLPRAGMA

    public static final int STILLDEFERREDDECLPRAGMA

See Also:
  Constant Field Values

### IDENTIFIERMODIFIERPRAGMA

    public static final int IDENTIFIERMODIFIERPRAGMA

See Also:
  Constant Field Values

### SETSTMTPRAGMA

    public static final int SETSTMTPRAGMA

See Also:
  Constant Field Values

### SKOLEMCONSTANTPRAGMA

    public static final int SKOLEMCONSTANTPRAGMA

See Also:
  Constant Field Values

### MODIFIESGROUPPRAGMA

    public static final int MODIFIESGROUPPRAGMA

See Also:
  Constant Field Values

### REACHMODIFIERPRAGMA

    public static final int REACHMODIFIERPRAGMA

See Also:
  Constant Field Values

### NOWARNPRAGMA

    public static final int NOWARNPRAGMA

See Also:
  Constant Field Values

### IMPORTPRAGMA

    public static final int IMPORTPRAGMA

See Also:
  Constant Field Values

### REFINEPRAGMA

    public static final int REFINEPRAGMA

See Also:
  Constant Field Values

### SPEC

    public static final int SPEC

See Also:
  Constant Field Values

### CONDITION

    public static final int CONDITION

See Also:
  Constant Field Values

### DEFPRED

    public static final int DEFPRED

See Also:
  Constant Field Values

### LAST_TAG

    public static final int LAST_TAG

See Also:
  Constant Field Values

Constructor Detail

### GeneratedTags

    public GeneratedTags()

Method Detail

### toString

    public static java.lang.String toString(int tag)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage